:root {
    --clr-neutral-0: #FFFFFF;
    --clr-neutral-1000: #000000;

    --clr-red-100: #F3A5AB;
    --clr-red-400: #FF0000;
    --clr-red-500: #E21E2D;

    --section-padding-top: 80px;
    @media (min-width: 768px) {
        --section-padding-top: 100px;
    }
}

* {
    box-sizing: border-box;
}

html {
    font-size: 16px;
}

body,
p,
ul,
ol,
h1,
h2,
h3 {
    padding: 0;
    margin: 0;
}

body {
    font-family: "National2", sans-serif;
    font-weight: 400;
    background-color: var(--clr-neutral-1000);
    background-image: url("../assets/bg-mobile.jpg");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}
@media (min-width: 768px) {
    body {
        background-image: url("../assets/bg-desktop.jpg");
    }
}

ul {
    list-style: none;
}

.container {
    width: 100%;
    height: auto;
    padding-inline: 1rem;
    margin-inline: auto;
}
@media (min-width: 768px) {
    .container {
        max-width: 960px;
    }
}
@media (min-width: 1440px) {
    .container {
        max-width: 1360px;
    }
}

.button {
    width: fit-content;
    padding: 16px 64px;
    border-radius: 99px;
    text-transform: uppercase;
    border-width: 1px;
    border-style: solid;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 16px;
    font-weight: 700;
}

.button-primary {
    border-color: var(--clr-neutral-0);
    background-color: var(--clr-red-500);
    color: var(--clr-neutral-0);
}
.button-primary:hover {
    border-color: var(--clr-neutral-0);
    background-color: var(--clr-neutral-1000);
    color: var(--clr-neutral-0);
}

.button-secondary {
    border-color: var(--clr-red-500);
    background-color: var(--clr-neutral-0);
    color: var(--clr-red-500);
}

.button-tertiary {
    border: 0;
    padding: 12px;
    background: transparent;
    color: var(--clr-neutral-1000);
}

/* ===== Header ===== */

header {
    position: relative;
    z-index: 9;
}

header nav {
    width: calc(100% - 32px);
    position: absolute;
    background-color: var(--clr-neutral-0);
    border-radius: 99px;
    margin-inline: auto;
    top: 20px;
    left: 0;
    right: 0;
    padding: 4px 40px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
    z-index: 9;
}
@media (min-width: 768px) {
    header nav {
        padding: 8px 60px;
        max-width: 1312px;
    }
}

header nav .header-logo {
    width: 90px;
    height: 28px;
    object-fit: contain;
}

header nav .menu {
    width: fit-content;
    height: auto;
    background-color: var(--clr-neutral-0);
    display: flex;
    border-radius: 0 0 40px 40px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0;
}

header nav .menu .links {
    flex: 1;
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 8px;
    justify-content: center;
}
@media (min-width: 768px) {
    header nav .menu .links {
        flex-direction: row;
    }
}

header nav .menu .links li a {
    width: 100%;
    display: block;
    text-align: center;
    color: var(--clr-red-500);
    font-weight: 500;
    padding: 16px;
    border-radius: 99px;
    transition: all 0.2s ease-in-out;
    font-size: 0.875rem;
    text-decoration: none;
}
@media (min-width: 768px) {
    header nav .menu .links li a {
        font-size: 1rem;
    }
}

header nav .menu .links li a:hover {
    background-color: var(--clr-red-500);
    color: var(--clr-neutral-0);
}

/* ===== Screens ===== */

main {}

.screens .screen {
    display: none;
    width: 100%;
    /*min-height: 100svh;*/
    padding-top: var(--section-padding-top);
}

.screens .screen.active {
    display: block;
}

.screen-inner {
    display: flex;
    flex-direction: column;
}

/* ===== Pre campaign screen ===== */

#pre-campaign-screen {
    min-height: 100svh;
    background-image: url("../assets/stay-tuned-bg-img-mobile.jpg");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    padding-bottom: 32px;
}
@media (min-width: 768px) {
    #pre-campaign-screen {
        background-image: url("../assets/stay-tuned-bg-img-desktop.jpg");
        padding-bottom: 80px;
    }
}

#pre-campaign-screen .stay-tuned-img {

}

/* ===== Start screen ===== */

#start-screen {
    padding-top: 0;
}

#start-screen .hero {
    background-image: url("../assets/start-screen-bg-mobile.png");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    padding-top: var(--section-padding-top);
    padding-bottom: 32px;
}
@media (min-width: 768px) {
    #start-screen .hero {
        background-image: url("../assets/start-screen-bg-desktop.png");
        padding-bottom: 80px;
    }
}

#start-screen .start-screen-headline-img {
    width: 100%;
    max-width: 724px;
    display: block;
    margin-inline: auto;
}

#start-screen #start-experience-btn {
    width: 100%;
    max-width: 300px;
    margin-inline: auto;
    padding-inline: 16px;
    border-color: var(--clr-neutral-0);
    background-color: var(--clr-neutral-0);
    color: var(--clr-red-500);
    margin-top: 20px;
}
#start-screen #start-experience-btn:hover {
    border-color: var(--clr-red-500);
    background-color: var(--clr-red-500);
    color: var(--clr-neutral-0);
}
@media (min-width: 768px) {
    #start-screen #start-experience-btn {
        margin-top: 80px;
        font-size: 20px;
    }
}

#start-screen #start-experience-btn svg path {
    transition: all .15s ease-in-out;
}

#start-screen #start-experience-btn:hover svg path {
    fill: var(--clr-neutral-0);
}

.start-screen-grid {
    width: 100%;
    display: grid;
    grid-template-areas:
        "bucket"
        "headline"
        "carousel";
    grid-template-columns: 1fr;
    gap: 20px;
    justify-content: stretch;
    align-items: stretch;
}
@media (min-width: 768px) {
    .start-screen-grid {
        grid-template-areas: "headline bucket carousel";
        grid-template-columns: repeat(3, minmax(0, 1fr));
        grid-template-rows: auto;
        gap: 64px;
        justify-items: stretch;
        align-items: center;
        margin-top: 48px;
    }
}

/*.start-screen-grid .headline {*/
/*    color: var(--clr-neutral-0);*/
/*    font-family: "National2Condensed", sans-serif;*/
/*    font-weight: 700;*/
/*    font-size: 24px;*/
/*    text-transform: uppercase;*/
/*    text-align: center;*/
/*    grid-area: headline;*/
/*}*/
/*@media (min-width: 768px) {*/
/*    .start-screen-grid .headline {*/
/*        font-size: clamp(5%, 32px, 30%);*/
/*    }*/
/*}*/

/*.start-screen-grid .headline span {*/
/*    color: inherit;*/
/*    font-family: "National2", sans-serif;*/
/*    font-weight: 900;*/
/*}*/

.start-screen-grid .headline .headline-img {
    width: 100%;
    height: auto;
}

.start-screen-grid .bucket-wrapper {
    grid-area: bucket;
}

.start-screen-grid .bucket-wrapper img {
    width: 100%;
    max-width: 132px;
    display: block;
    margin-inline: auto;
    height: auto;
}
@media (min-width: 768px) {
    .start-screen-grid .bucket-wrapper img {
        max-width: 270px;
    }
}

.start-screen-grid .prize-carousel {
    width: 100%;
    grid-area: carousel;
}

.start-screen-grid .prize-carousel .prize-carousel-top-img {
    width: 125px;
    height: auto;
    display: block;
    margin-inline: auto;
    margin-bottom: 20px;
}

.start-screen-grid .prize-carousel .swiper {
    width: 100%;
    max-width: 320px;
    height: auto;
}
@media (min-width: 768px) {
    .start-screen-grid .prize-carousel .swiper {
        max-width: 100%;
    }
}

.start-screen-grid .prize-carousel .swiper .swiper-wrapper {
    padding-bottom: 40px;
}

.start-screen-grid .prize-carousel .swiper .swiper-slide img {
    width: 100%;
    height: auto;
}

.start-screen-grid .prize-carousel .swiper .swiper-pagination-bullet {
    width: 6px;
    height: 6px;
    border-radius: 99px;
    background-color: #FBA3A3;
    opacity: 1;
}

.start-screen-grid .prize-carousel .swiper .swiper-pagination-bullet-active {
    width: 20px;
    background-color: var(--clr-neutral-0);
}

#start-screen .disclaimer {
    background-color: var(--clr-neutral-1000);
    color: #B1B1B1;
    text-align: center;
}

#start-screen .disclaimer a {
    color: inherit;
}
#start-screen .disclaimer a:hover {
    text-decoration: none;
}

#start-screen .disclaimer .disclaimer-inner {
    border-bottom: .5px solid #B1B1B1;
    padding: 32px 0;
}
@media (min-width: 768px) {
    padding: 50px 0;
}

/* ===== Form screen ===== */

#form-screen {}

/*#form-screen .screen-inner {*/
/*    min-height: calc(100svh - var(--section-padding-top));*/
/*    justify-content: space-between;*/
/*}*/

/* ===== Loading screen ===== */

#loading-screen {
    width: 100%;
    height: 100svh;
    position: relative;
}

#loading-screen.active {
    display: grid;
    place-items: center;
}

#loading-screen .loading-animation-wrapper {
    width: fit-content;
    margin-inline: auto;
    position: relative;
}

#loading-screen .stars-img  {
    position: absolute;
    height: auto;
}

#loading-screen .stars-img.mobile {
    display: block;
    width: 300px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
@media (min-width: 768px) {
    #loading-screen .stars-img.mobile {
        display: none;
    }
}

#loading-screen .stars-img.desktop {
    display: none;
}
@media (min-width: 768px) {
    #loading-screen .stars-img.desktop {
        display: block;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
}

#loading-screen #canvas-loading-animation {
    width: auto;
    height: 150px;
    margin-inline: auto;
}
@media (min-width: 768px) {
    #loading-screen #canvas-loading-animation {
        height: 200px;
    }
}

/* ===== Result screen ===== */

#result-screen {
    background: #d03136;
}
@media (min-width: 768px) {
    #result-screen{
        background: transparent;
        padding-top: 108px;
    }
}

#result-screen .screen-inner {
    max-width: 768px;
    margin-inline: auto;
    padding-bottom: 20px;
}
@media (min-width: 768px) {
    #result-screen .screen-inner {
        background: #d03136;
        border-radius: 70px;
    }
}

#result-screen .buttons-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 16px;
    margin-bottom: 20px;
    margin-top: -100px;
    position: relative;
    z-index: 2;
}

#result-screen #share-image-btn,
#result-screen #download-image-dropdown-btn {
    width: 300px;
    padding-inline: 16px;
}

#result-screen #download-image-dropdown-btn::after {
    display: none;
}

#result-screen #share-image-btn:hover,
#result-screen #download-image-dropdown-btn:hover {
    border-color: var(--clr-neutral-1000);
    background-color: var(--clr-neutral-1000);
    color: var(--clr-neutral-0);
}

#result-screen #share-image-btn {
    border-color: var(--clr-neutral-0);
    background-color: var(--clr-neutral-0);
    color: var(--clr-red-500);
}

#result-screen #share-image-btn svg path {
    transition: all .15s ease-in-out;
}

#result-screen #share-image-btn:hover svg path {
    fill: var(--clr-neutral-0);
}

#result-screen #download-image-dropdown-btn {
    border-color: var(--clr-neutral-0);
    background-color: var(--clr-red-500);
    color: var(--clr-neutral-0);
}

#result-screen #generated-image {
    display: none;
}

#result-screen #c {
    width: 100% !important;
    max-width: 450px;
    height: auto !important;
    display: block;
    margin-inline: auto;
}

/* ===== Options form ===== */

#form-screen .form-screen-header {
    width: 100%;
    max-width: 400px;
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    margin: 12px auto 48px;
    gap: 12px;
    color: var(--clr-neutral-0);
    position: relative;
}
@media (min-width: 768px) {
    #form-screen .form-screen-header {
        margin: 12px auto 56px;
    }
}

#form-screen .form-screen-header .star-img {
    width: 30px;
    height: auto;
    position: absolute;
    bottom: -8px;
}

#form-screen .form-screen-header .star-img.left {
    left: 20px;
}

#form-screen .form-screen-header .star-img.right {
    right: 20px;
    webkit-transform: scaleX(-1);
    transform: scaleX(-1);
}

#form-screen .form-screen-header .form-screen-title {
    font-size: 24px;
    line-height: 1.1;
    text-align: center;
    flex: 1;
    font-family: "National2Condensed", sans-serif;
    font-weight: 500;
    text-transform: uppercase;
}

#form-screen .form-screen-header .form-screen-title span {
    font-family: "National2", sans-serif;
    font-weight: 900;
}

#form-screen .form-step {
    display: none;
}

#form-screen .form-step.active {
    display: block;
}

#form-screen .form-step-inner {}

/* progress bar */

#generate-image-form {
    width: 100%;
    margin-inline: auto;
}
@media (min-width: 768px) {
    #generate-image-form {
        max-width: 400px;
    }
}

#generate-image-form .progress-card {
    background: var(--clr-neutral-0);
    border-radius: 32px;
    padding: 20px 24px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    position: relative;
}

#generate-image-form .progress-icon {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    box-shadow: 0 16px 32px rgba(0, 0, 0, 0.4);
    position: absolute;
    z-index: 2;
}

#generate-image-form .progress-header,
#generate-image-form .progress-content {
    width: 100%;
    display: flex;
    flex-direction: row;
}

#generate-image-form .progress-header {
    align-items: center;
    padding: 20px 0;
}

#generate-image-form .progress-bar-container {
    position: relative;
    width: calc(100% - 35px);
    height: 24px;
    background: var(--clr-red-100);
    border-radius: 12px;
    overflow: hidden;
    margin-left: auto;
}

#generate-image-form .progress-bar {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    background: var(--clr-red-500);
    border-radius: 12px;
    transition: width 0.5s ease;
}

#generate-image-form .progress-text {
    position: absolute;
    top: 50%;
    right: 12px;
    transform: translateY(-50%);
    font-size: 14px;
    font-weight: 700;
    color: var(--clr-neutral-0);
    z-index: 1;
}

#generate-image-form .progress-content {
    justify-content: space-between;
}

#generate-image-form .progress-content .step-info {
    display: flex;
    flex-direction: column;
    gap: 2px;
}

#generate-image-form .step-label {
    font-size: 12px;
    color: var(--clr-red-500);
    letter-spacing: 0.5px;
    text-transform: uppercase;
}

#generate-image-form .step-title {
    font-size: 16px;
    font-weight: 700;
    color: var(--clr-neutral-1000);
}

#generate-image-form .progress-content .step-icon {
    position: relative;
}
#generate-image-form .progress-content .step-icon::before {
    content: '';
    position: absolute;
    width: 32px;
    height: 32px;
    border-radius: 50%;
    box-shadow: 0 16px 32px rgba(0, 0, 0, .3);
}

#generate-image-form .progress-content .step-icon img {
    width: 32px;
    height: auto;
}

/* from step list */

#form-screen .form-step-list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 12px;
    padding: 20px 0 32px;
}

#form-screen .form-step-list input[type="radio"] {
    opacity: 0;
}

#form-screen .form-step-list  input[type="radio"]:checked+label {
    background: red;
}

.option-item {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 14px 8px;
    background-color: var(--clr-neutral-0);
    border: 2px solid #E5D5DC;
    border-radius: 16px;
    font-size: 14px;
    font-weight: 700;
    color: var(--clr-neutral-1000);
    cursor: pointer;
    transition: all 0.3s ease;
    text-align: center;
    line-height: 1.2;
}

.option-item:hover {
    border-color: var(--clr-red-500);
    box-shadow: 0 4px 12px rgba(255, 59, 92, 0.2);
}

.btn-check:checked + .option-item {
    background-color: var(--clr-red-500);
    border-color: var(--clr-red-500);
    color: var(--clr-neutral-0);
}

.option-item-emoji {
    font-size: 18px;
    line-height: 1;
}

.option-item-text {
    font-size: 14px;
    font-weight: 600;
}

.generate-image-form-buttons-container {
    /*background: var(--clr-neutral-0);*/
    padding: 12px 0;
    position: relative;
}
@media (min-width: 768px) {
    .generate-image-form-buttons-container {
        background: transparent;
    }
}

/*@media (max-width: 768px) {*/
/*    .generate-image-form-buttons-container::before,*/
/*    .generate-image-form-buttons-container::after {*/
/*        content: '';*/
/*        width: 32px;*/
/*        height: 32px;*/
/*        position: absolute;*/
/*        background-image: radial-gradient(circle at 100% 100%, transparent 32px, var(--clr-neutral-0) 32px);*/
/*    }*/

/*    .generate-image-form-buttons-container::before {*/
/*        top: -32px;*/
/*        left: 0;*/
/*        transform: rotate(-90deg);*/
/*    }*/

/*    .generate-image-form-buttons-container::after {*/
/*        top: -32px;*/
/*        right: 0;*/
/*        transform: rotate(180deg);*/
/*    }*/
/*}*/

.generate-image-form-buttons-inner {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

#prev-form-step-btn {
    background: transparent;
    /*color: var(--clr-neutral-1000);*/
    color: var(--clr-neutral-0);
}

#prev-form-step-btn svg path {
    /*fill: var(--clr-neutral-1000);*/
    fill: var(--clr-neutral-0);
}

@media (min-width: 768px) {
    #prev-form-step-btn {
        color: var(--clr-neutral-0);
    }

    #prev-form-step-btn svg path {
        fill: var(--clr-neutral-0);
    }
}

#next-form-step-btn:disabled {
    border-color: #6a6a6a;
    background-color: #400d0f;
    color: #6a6a6a;
}

/* ===== Register form ===== */

#register-form {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 24px;
    align-items: start;
    position: relative;
}

#register-form .form-floating {
    width: 100%;
    color: var(--clr-neutral-1000);
}

#register-form .form-floating .form-control {
    border: none;
    outline: none;
    border-radius: 8px 8px 0 0;
    border-bottom: 1px solid #5A0C12;
}

#register-form .form-floating .form-control:focus {
    border: none;
    border-bottom: 3px solid var(--clr-red-500);
    box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.11);
}

#register-form .form-floating .form-control label {
    color: var(--clr-neutral-1000)0;
}

#register-form .form-floating label {
    opacity: 0.6;
}

#register-form .form-select {
    border: none;
    outline: none;
    border-radius: 8px 8px 0 0;
    border-bottom: 1px solid #5A0C12;
    padding: 1rem 0.75rem;
    color: #646464;
}

#register-form .form-select:focus {
    border: none;
    border-bottom: 3px solid var(--clr-red-500);
    box-shadow: unset;
    color: var(--clr-neutral-1000);
}

#register-form .form-checks {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

#register-form .form-check {
    color: var(--clr-neutral-1000);
}

#register-form .form-check a {
    color: inherit;
}

#register-form .form-check .form-check-input {
    border: 1px solid #CBCBCB;
    cursor: pointer;
}

#register-form .form-check .form-check-input:focus {
    box-shadow: none;
}

#register-form .form-check .form-check-input:checked {
    background-color: var(--clr-red-500);
}

#register-form .form-check label {
    cursor: pointer;
}

.validation-alert {
    margin-top: 8px;
    font-size: 0.8rem;
    font-style: italic;
    color: var(--clr-red-500);
}

#register-form-submit-btn {
    border-color: var(--clr-red-100);
    margin-inline: auto;
}

/* ===== Modal ===== */

.modal .modal-dialog {
    margin: 0;
}
@media (min-width: 768px) {
    .modal .modal-dialog {
        max-width: 732px;
    }
}

.modal .modal-disclaimer {
    text-align: center;
    font-style: italic;
    display: block;
    margin-top: 12px;
    margin-inline: auto;
}

    /* Make modal slide IN from bottom to top */
.modal.fade .modal-dialog {
    transform: translate3d(0, 40px, 0); /* start slightly below */
    transition: transform .3s ease-out, -webkit-transform .3s ease-out;
}

.modal.show .modal-dialog {
    transform: translate3d(0, 0, 0); /* end at normal position */
}

.modal .modal-dialog-bottom {
    display: flex;
    align-items: end;
    min-height: 100%;
    margin-inline: auto;
}

.modal .modal-header {
    margin: 24px 0;
    padding: 0 1rem;
    border-bottom: 0;
}

.modal .modal-content {
    border-radius: 24px 24px 0 0;
    background-color: var(--clr-neutral-0);
    padding-inline: 8px;
}

.modal .modal-body {
    padding-top: 0;
}

.modal .modal-title {
    font-weight: 900;
    color: var(--clr-red-400);
    font-size: 36px;
    text-align: center;
    text-transform: uppercase;
    line-height: 1.1;
}

.modal .modal-text {
    font-family: "National2Condensed", sans-serif;
    font-size: 20px;
    font-weight: 700;
    text-align: center;
    text-transform: uppercase;
}

/* ===== Prize modal ===== */

#prize-modal .modal-content {
    background-image: url("../assets/prize-modal-bg-mobile.png");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
@media (min-width: 768px) {
    #prize-modal .modal-content {
        background-image: url("../assets/prize-modal-bg-desktop.png");
    }
}

#prize-modal .modal-prize-img {
    margin-top: 32px;
    max-width: 290px;
    display: block;
    margin-inline: auto;
}

#prize-modal .modal-footer {
    border-top: 0;
}

#prize-modal .modal-footer button {
    margin-inline: auto;
}

/* ===== Success message modal ===== */

#success-message-modal .modal-content {
    background-image: url("../assets/success-modal-stars-img-mobile.png");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
}
@media (min-width: 768px) {
    #success-message-modal .modal-content {
        background-image: url("../assets/success-modal-stars-img-desktop.png");
        background-position: center 40%;
    }
}

#success-message-modal .modal-header .bar-icon {
    display: block;
    margin-inline: auto;
}

/* ===== Error message modal ===== */

#error-message-modal .error-modal-body-img {
    max-width: 220px;
    display: block;
    margin: 24px auto 50px;
}
@media (min-width: 768px) {
    #error-message-modal .error-modal-body-img {
        max-width: 100%;
        margin: 20px auto 2svh;
    }
}

/* ===== Footer ===== */

footer {
    background-color: var(--clr-neutral-1000);
    padding-top: 56px;
}
@media (min-width: 768px) {
    footer {
        padding-top: 80px;
    }
}

footer .footer-inner {
    color: var(--clr-neutral-0);
    display: grid;
    grid-template-areas: "logo social" "logo copyright";
    gap: 28px;
    justify-content: space-between;
    align-items: flex-start;
}
@media (min-width: 768px) {
    footer .footer-inner {
        grid-template-areas: "logo copyright social";
    }
}

footer .footer-inner .footer-logo-wrapper {
    width: fit-content;
    position: relative;
    padding-bottom: 40px;
    grid-area: logo;
}

footer .footer-inner .footer-logo-wrapper .footer-logo {
    width: 70px;
    height: auto;
}

footer .footer-inner .footer-logo-wrapper .footer-stripes {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    margin-inline: auto;
    width: auto;
    height: 20px;
}

footer .footer-inner .footer-copyright {
    text-align: center;
    margin-bottom: 8px;
    grid-area: copyright;
}

footer .footer-inner .footer-copyright a {
    text-decoration: underline;
    color: var(--clr-neutral-0);
}

footer .footer-inner .footer-social-section {
    width: 100%;
    max-width: 380px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    grid-area: social;
    gap: 20px;
}
@media (min-width: 380px) {
    footer .footer-inner .footer-social-section {
        gap: 40px;
    }
}
@media (min-width: 768px) {
    footer .footer-inner .footer-social-section {
        gap: 64px;
    }
}

footer .footer-inner .footer-social-section a img {
    width: 30px;
    height: 30px;
    object-fit: contain;
}
@media (min-width: 768px) {
    footer .footer-inner .footer-copyright,
    footer .footer-inner .footer-social-section {
        margin-top: 24px;
    }
}

/* SHARE PAGE */

#share-page {
    width: 100%;
    min-height: 100svh;
    background-color: #d03136;
    padding-top: var(--section-padding-top);
    padding-bottom: 32px;
}

#share-page #cta {
    width: 100%;
    max-width: 300px;
    margin-inline: auto;
    border-color: var(--clr-neutral-0);
    background-color: var(--clr-neutral-0);
    color: var(--clr-red-500);
    top: -100px;
    position: relative;
    z-index: 2;
}
#share-page #cta:hover {
    border-color: var(--clr-neutral-1000);
    background-color: var(--clr-neutral-1000);
    color: var(--clr-neutral-0);
}

#share-page .share-page-img {
    display: block;
    margin-inline: auto;
}

#d {
    width: fit-content;
    height: auto;
    padding: 1rem;
    background-color: var(--clr-neutral-0);
    color: var(--clr-neutral-1000);
}
